#include <bits/stdc++.h>
using namespace std;
int n;
char change(char a)
{
if((a>='A' && a<='Z') || (a>='a' && a<='z'))
{
  a=a-n;
}


}



int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    string a;
    getline(cin,a);
   cin>>n;

    for(int i=0;i<a.size();i++)
    {
        a[i]=change(a[i]);
    }

    cout<<a<<endl;


    return 0;
}